Subject: bug#55370: [PATCH] Add support for the Syloti Nagri script

From: समीर सिंह Sameer Singh <[email-masked]>
Date: Thu, 12 May 2022 22:40:02 +0530

Yes it was not correct, this seems more appropriate.

;; Syloti Nagri composition rules
(let ((consonant            "[\xA807-\xA80A\xA80C-\xA822]")
      (independent-vowel    "[\xA800\xA801\xA803-\xA805]")
      (vowel                "[\xA802\xA823-\xA827]")
      (nasal                "[\xA80B]")
      (virama               "[\xA806\xA82C]"))
  (set-char-table-range composition-function-table
                        '(#xA802 . #xA82C)
                        (list (vector
                               ;; Consonant conjunct based syllables
                               (concat independent-vowel "?" consonant
"\\(?:" virama consonant "\\)+"
                                       vowel "?" nasal "?")
                               1 'font-shape-gstring))))

btw this range does not cause emacs to slow down, right?
also should I send separate patches for the syloti nagri, and the fix for
previous scripts, or combine them into one?

On Thu, May 12, 2022 at 10:34 PM Eli Zaretskii <[email-masked]> wrote:

> > From: समीर सिंह Sameer Singh <[email-masked]>
> > Date: Thu, 12 May 2022 22:20:15 +0530
> > Cc: [email-masked]
> >
> > For example, this is correct now isn't it?
>
> I don't know if it's correct, but I can say that now the regexps are
> consistent with the character-range of the rule.
>